//---------------------------------------------------------------------------

#ifndef exceptH
#define exceptH
//---------------------------------------------------------------------------
//#include <exception>
//#include <string>

using namespace std;

class CException
{
    private:
    public:
        string msg;
        CException(void) {};
        CException( const string _msg );
        ~CException () throw () {};
        string GetMsg(void);
};

class IOException:public CException
{
    public:
        IOException( const string _msg );
};

class RuntimeException:public CException
{
    public:
        RuntimeException( const string _msg );
};

class BoomException:public CException
{
    public:
        BoomException( const string _msg );
};

#endif
